Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class BomInstance

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.PricedNode
                  |
                  +--oracle.apps.cz.cio.StateNode
                        |
                        +--oracle.apps.cz.cio.StateCountNode
                              |
                              +--oracle.apps.cz.cio.OptionFeatureNode
                                    |
                                    +--oracle.apps.cz.cio.BomNode
                                          |
                                          +--oracle.apps.cz.cio.BomInstance

All Implemented Interfaces:
  Component, ComponentNode, IAtp, IBasicPrice, IBomItem, ICount, IOption, IOptionFeature, IPrice, IRuntimeNode, IState, ITrackableInstance

Direct Known Subclasses:
  BomModel

public abstract class BomInstance
extends BomNode
implements Component, ITrackableInstance

Abstract class used to represent some of the functionality of a configurable BOM Model. A BomInstance contains all the functionality of any other BomNode as well as the ability to be added as an instance of a ComponentSet, since it is also considered a Component.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.Component
`INSTANCE_TYPE_ADDED, INSTANCE_TYPE_DELETED_INITIAL, INSTANCE_TYPE_DISCONTINUED, INSTANCE_TYPE_INITIAL`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Fields inherited from interface oracle.apps.cz.cio.ITrackableInstance
`EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, SPOOFED`

Fields inherited from interface oracle.apps.cz.cio.IState
`FALSE, LFALSE, LTRUE, SELECTABLE, SYSTEM_EXCLUDED, TOGGLE, TRUE, UFALSE, UNKNOWN, UTRUE`

Method Summary
`void` | `disconnectAll()` This method disconnects all connections from this instance to targets outside this instance, and, all connections targeting any component in this instance from outside this instance.
`oracle.apps.cz.dio.config.DbConfigHeader` | `getBaselineHeader()`
`java.lang.String` | `getCaption()` returns the caption for this instance, which is its instance name, if one exists; otherwise, the caption for the runtime node
`com.sun.java.util.collections.Collection` | `getConnectorInfo()` Returns the list of ConnectorInfo objects representing connectors currently connected to this component, whether they are loaded into this session or not
`com.sun.java.util.collections.List` | `getConnectors()` Returns the list of connectors currently connected to this component
`double` | `getDecimalDefaultQuantity()` Gets the decimal default quantity.
`double` | `getDecimalMaxQuantity()` Gets the maximum quantity.
`double` | `getDecimalMinQuantity()` Gets the minimum quantity.
`java.lang.String` | `getDisplayName()` Returns the display name for this node as specified in the UI
`long` | `getHeaderId()`
`long` | `getInstalledRevision()`
`oracle.apps.cz.dio.config.DbConfigHeader` | `getInstanceHeader()`
`java.lang.String` | `getInstanceName()` Returns the name of this component instance, if it has been set or else null.
`int` | `getInstanceNumber()` Deprecated. see getInstanceNumberLong()
`long` | `getInstanceNumberLong()` Returns InstanceHeaderId if this node is a TrackableRoot else returns the instance number of this component (1 if virtual).
`int` | `getInstanceType()` Returns the instance type of this component (INSTANCE_TYPE_INITIAL if virtual).
`long` | `getLastSavedRevision()` Returns the last saved revision of this instances.
`java.lang.String` | `getName()` Gets the name of the node.
`int` | `getPosition()` returns the position of the this component in the component set or -1 if not a member of a component set
`int` | `getReferringOrDatabaseID()` Returns the database ID of the referring node if it is a reference or the database ID of the RuntimeNode itself.
`int` | `getReferringOrPersistentID()` Returns the persistent ID of the referring node if it is a reference or the persistent ID of the RuntimeNode itself.
`long` | `getRevision()`
`long` | `getRootConfigItemId()`
`com.sun.java.util.collections.List` | `getSelectableChildren()` Returns a `List` of all selectable children.
`com.sun.java.util.collections.List` | `getUnsatisfiedRuleMessages()`
`boolean` | `hasDefaultQuantity()` Reuturns true if the BOM item has default quantity
`boolean` | `hasInstanceName()` Returns true if the name of this component instance has been set
`boolean` | `hasMaxQuantity()` Reuturns true if the BOM item has maximum quantity
`boolean` | `hasMinQuantity()` Returns true if the BOM item has minimum quantity
`boolean` | `hasUnsatisfiedRules()`
`static java.lang.String` | `instanceTypeToString(int instanceType)` Returns instance type as a string
`boolean` | `isNewlyLoaded()`
`boolean` | `isRequired()` Returns `true` if this is a required BOM item.
`boolean` | `isVirtual()` Returns true if this component is a virtual component.
`void` | `makeEditable()` Makes this Component "Editable" in a network Configuration.
`void` | `setInstanceName(java.lang.String newName)` Sets the name of this component instance.
`void` | `setName(java.lang.String newName)` Deprecated. see setInstanceName
`void` | `synchronizeIBValues(java.lang.Integer locationId, java.lang.String locationTypeCode, java.lang.String name)`
`void` | `updateLastSavedRevision()`

Methods inherited from class oracle.apps.cz.cio.BomNode
`addAtpNotification, areOptionsCounted, clearAtpDate, clearAtpNotifications, deselect, getAtpDate, getAtpNotifications, getComponentCode, getDefaultQuantity, getECC, getFormattedAtpDate, getInventoryItemId, getItemKey, getMaxQuantity, getMinQuantity, getOrganizationId, getPrimaryUomCode, getState, getUomCode, isOptionCounted, isOptionMutexed, isSelected, isSelectionMutexed, select, select, setAtpDate, setState, toggleAndSetCount, toggleAndSetDecimalCount`

Methods inherited from class oracle.apps.cz.cio.OptionFeatureNode
`deselect, getAvailableOptions, getMaxSelected, getMinSelected, getSelectedOption, getSelectedOptions, hasMaxSelected, hasMinSelected`

Methods inherited from class oracle.apps.cz.cio.StateCountNode
`getCount, getDecimalCount, setCount, setDecimalCount, toString`

Methods inherited from class oracle.apps.cz.cio.StateNode
`getDetailedSelectionState, getSelectionState, isFalse, isFalseState, isLogic, isLogicState, isTrue, isTrueState, isUnknown, isUnknownState, isUser, isUserState, statesMatch, unset`

Methods inherited from class oracle.apps.cz.cio.PricedNode
`addDiscountedPricingNotification, addListPricingNotification, cacheCurrentDiscountedPrice, clearDiscountedPrice, clearDiscountedPricingNotifications, clearListPricingNotifications, getBaselineQuantity, getDeltaQuantity, getDiscountedPrice, getDiscountedPricingNotifications, getExtendedPrice, getListPrice, getListPricingNotifications, getOldDiscountedPrice, getPricedNodeID, getPricingNotifications, getPricingValue, getValue, hasDiscountedPrice, hasInventoryItemId, hasListPrice, setDiscountedPrice, setListPrice`

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.Component
`getComponentByExplosionId, getFuncCompByID, getFuncCompByName, getFunctionalCompanions`

Methods inherited from interface oracle.apps.cz.cio.ComponentNode
`getChildComponentNodes`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Methods inherited from interface oracle.apps.cz.cio.ITrackableInstance
`getConfiguration, getLoadStatus, isEditable, isLoaded`

Methods inherited from interface oracle.apps.cz.cio.IOptionFeature
`deselect, getMaxSelected, getMinSelected, getSelectedOption, getSelectedOptions, hasMaxSelected, hasMinSelected`

Methods inherited from interface oracle.apps.cz.cio.IState
`getDetailedSelectionState, getSelectionState, isFalse, isLogic, isTrue, isUnknown, isUser, unset`

Methods inherited from interface oracle.apps.cz.cio.ICount
`getCount, getDecimalCount, setCount, setDecimalCount`

Methods inherited from interface oracle.apps.cz.cio.IPrice
`getBaselineQuantity, getDeltaQuantity, getDiscountedPrice, getDiscountedPricingNotifications, getExtendedPrice, getPricingNotifications`

Methods inherited from interface oracle.apps.cz.cio.IBasicPrice
`addListPricingNotification, getListPrice, getListPricingNotifications, getPricedNodeID, getValue, hasInventoryItemId, hasListPrice, setListPrice`

Methods inherited from interface oracle.apps.cz.cio.IAtp
`getDatabaseID, hasAtpDate`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### hasMinQuantity

    public boolean hasMinQuantity()

  Description copied from interface: `IBomItem`
  Returns true if the BOM item has minimum quantity
  Specified by:
    `hasMinQuantity` in interface `IBomItem`
  Overrides:
    `hasMinQuantity` in class `BomNode`

### getDecimalMinQuantity

    public double getDecimalMinQuantity()

  Description copied from interface: `IBomItem`
  Gets the minimum quantity.
  Specified by:
    `getDecimalMinQuantity` in interface `IBomItem`
  Overrides:
    `getDecimalMinQuantity` in class `BomNode`

### hasMaxQuantity

    public boolean hasMaxQuantity()

  Description copied from interface: `IBomItem`
  Reuturns true if the BOM item has maximum quantity
  Specified by:
    `hasMaxQuantity` in interface `IBomItem`
  Overrides:
    `hasMaxQuantity` in class `BomNode`

### getDecimalMaxQuantity

    public double getDecimalMaxQuantity()

  Description copied from interface: `IBomItem`
  Gets the maximum quantity.
  Specified by:
    `getDecimalMaxQuantity` in interface `IBomItem`
  Overrides:
    `getDecimalMaxQuantity` in class `BomNode`

### isRequired

    public boolean isRequired()

  Description copied from interface: `IBomItem`
  Returns `true` if this is a required BOM item.
  Specified by:
    `isRequired` in interface `IBomItem`
  Overrides:
    `isRequired` in class `BomNode`

### hasDefaultQuantity

    public boolean hasDefaultQuantity()

  Description copied from interface: `IBomItem`
  Reuturns true if the BOM item has default quantity
  Specified by:
    `hasDefaultQuantity` in interface `IBomItem`
  Overrides:
    `hasDefaultQuantity` in class `BomNode`

### getDecimalDefaultQuantity

    public double getDecimalDefaultQuantity()

  Description copied from interface: `IBomItem`
  Gets the decimal default quantity.
  Specified by:
    `getDecimalDefaultQuantity` in interface `IBomItem`
  Overrides:
    `getDecimalDefaultQuantity` in class `BomNode`

### getSelectableChildren

    public com.sun.java.util.collections.List getSelectableChildren()

  Description copied from interface: `IOptionFeature`
  Returns a `List` of all selectable children. Selectable children are all immediate children of type option as well as the indirect children of all instantiable options.
  Specified by:
    `getSelectableChildren` in interface `IOptionFeature`
  Overrides:
    `getSelectableChildren` in class `OptionFeatureNode`

### isNewlyLoaded

    public boolean isNewlyLoaded()

### instanceTypeToString

    public static java.lang.String instanceTypeToString(int instanceType)

  Returns instance type as a string

### getInstanceType

    public int getInstanceType()

  Returns the instance type of this component (INSTANCE_TYPE_INITIAL if virtual).
  Specified by:
    `getInstanceType` in interface `Component`

### getInstanceNumber

    public int getInstanceNumber()

  Deprecated. see getInstanceNumberLong()
  Returns the instance number of this component (1 if virtual).
  Specified by:
    `getInstanceNumber` in interface `Component`

### getInstanceNumberLong

    public long getInstanceNumberLong()

  Returns InstanceHeaderId if this node is a TrackableRoot else returns the instance number of this component (1 if virtual).
  Specified by:
    `getInstanceNumberLong` in interface `Component`

### isVirtual

    public boolean isVirtual()

  Returns true if this component is a virtual component. i.e. it is not multiply instantiable. Mandatory references are virtual.
  Specified by:
    `isVirtual` in interface `Component`

### getPosition

    public int getPosition()

  returns the position of the this component in the component set or -1 if not a member of a component set
  Specified by:
    `getPosition` in interface `Component`

### getReferringOrDatabaseID

    public int getReferringOrDatabaseID()

  Returns the database ID of the referring node if it is a reference or the database ID of the RuntimeNode itself.
  Specified by:
    `getReferringOrDatabaseID` in interface `ComponentNode`
  Overrides:
    `getReferringOrDatabaseID` in class `RuntimeNode`

### getReferringOrPersistentID

    public int getReferringOrPersistentID()

  Returns the persistent ID of the referring node if it is a reference or the persistent ID of the RuntimeNode itself.
  Specified by:
    `getReferringOrPersistentID` in interface `ComponentNode`
  Overrides:
    `getReferringOrPersistentID` in class `RuntimeNode`

### setName

    public void setName(java.lang.String newName)

  Deprecated. see setInstanceName
  Sets the name of this component.
  Specified by:
    `setName` in interface `Component`

### setInstanceName

    public void setInstanceName(java.lang.String newName)

  Sets the name of this component instance.
  Specified by:
    `setInstanceName` in interface `Component`

### getInstanceName

    public java.lang.String getInstanceName()

  Returns the name of this component instance, if it has been set or else null.
  Specified by:
    `getInstanceName` in interface `Component`

### hasInstanceName

    public boolean hasInstanceName()

  Returns true if the name of this component instance has been set
  Specified by:
    `hasInstanceName` in interface `Component`

### getCaption

    public java.lang.String getCaption()

  returns the caption for this instance, which is its instance name, if one exists; otherwise, the caption for the runtime node
  Specified by:
    `getCaption` in interface `IRuntimeNode`
  Overrides:
    `getCaption` in class `RuntimeNode`

### getConnectors

    public com.sun.java.util.collections.List getConnectors()

  Description copied from interface: `Component`
  Returns the list of connectors currently connected to this component
  Specified by:
    `getConnectors` in interface `Component`

### getConnectorInfo

    public com.sun.java.util.collections.Collection getConnectorInfo()

  Description copied from interface: `Component`
  Returns the list of ConnectorInfo objects representing connectors currently connected to this component, whether they are loaded into this session or not
  Specified by:
    `getConnectorInfo` in interface `Component`

### getHeaderId

    public long getHeaderId()

  Specified by:
    `getHeaderId` in interface `ITrackableInstance`

### getRevision

    public long getRevision()

  Specified by:
    `getRevision` in interface `ITrackableInstance`

### getInstalledRevision

    public long getInstalledRevision()

  Specified by:
    `getInstalledRevision` in interface `ITrackableInstance`

### getRootConfigItemId

    public long getRootConfigItemId()

  Specified by:
    `getRootConfigItemId` in interface `ITrackableInstance`

### getUnsatisfiedRuleMessages

    public com.sun.java.util.collections.List getUnsatisfiedRuleMessages()

  Specified by:
    `getUnsatisfiedRuleMessages` in interface `ITrackableInstance`

### hasUnsatisfiedRules

    public boolean hasUnsatisfiedRules()

  Specified by:
    `hasUnsatisfiedRules` in interface `ITrackableInstance`

### getLastSavedRevision

    public long getLastSavedRevision()

  Returns the last saved revision of this instances. The field will only be set the IB Trackable instances
  Specified by:
    `getLastSavedRevision` in interface `ITrackableInstance`

### updateLastSavedRevision

    public void updateLastSavedRevision()

  Specified by:
    `updateLastSavedRevision` in interface `ITrackableInstance`

### getInstanceHeader

    public oracle.apps.cz.dio.config.DbConfigHeader getInstanceHeader()

### getBaselineHeader

    public oracle.apps.cz.dio.config.DbConfigHeader getBaselineHeader()

### makeEditable

    public void makeEditable()
                      throws LogicalException

  Description copied from interface: `Component`
  Makes this Component "Editable" in a network Configuration. This component should be a delta instance for it to be made editable.
  Specified by:
    `makeEditable` in interface `Component`
    `LogicalException`

### disconnectAll

    public void disconnectAll()
                       throws LogicalException

  This method disconnects all connections from this instance to targets outside this instance, and, all connections targeting any component in this instance from outside this instance.
    `LogicalException`

### synchronizeIBValues

    public void synchronizeIBValues(java.lang.Integer locationId,
                                    java.lang.String locationTypeCode,
                                    java.lang.String name)

  Overrides:
    `synchronizeIBValues` in class `RuntimeNode`

### getName

    public java.lang.String getName()

  Description copied from interface: `IRuntimeNode`
  Gets the name of the node.
  Specified by:
    `getName` in interface `IRuntimeNode`
  Overrides:
    `getName` in class `RuntimeNode`
  Returns:
    the name of the node.

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `IRuntimeNode`
  Returns the display name for this node as specified in the UI
  Specified by:
    `getDisplayName` in interface `IRuntimeNode`
  Overrides:
    `getDisplayName` in class `RuntimeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.